# Generated by Django 3.2.18 on 2024-03-19 04:45

import django.core.validators
from django.db import migrations, models
import judge.models.problem_data
import judge.utils.problem_data


def migrate_checker(apps, schema_editor):
    ProblemData = apps.get_model("judge", "ProblemData")

    for p in ProblemData.objects.all():
        p.custom_checker_cpp = p.custom_validator
        p.save()


class Migration(migrations.Migration):

    dependencies = [
        ("judge", "0182_rename_customcpp"),
    ]

    operations = [
        migrations.AddField(
            model_name="problemdata",
            name="custom_checker_cpp",
            field=models.FileField(
                blank=True,
                null=True,
                storage=judge.utils.problem_data.ProblemDataStorage(),
                upload_to=judge.models.problem_data.problem_directory_file,
                validators=[
                    django.core.validators.FileExtensionValidator(
                        allowed_extensions=["cpp"]
                    )
                ],
                verbose_name="custom cpp checker file",
            ),
        ),
        migrations.RunPython(migrate_checker, migrations.RunPython.noop, atomic=True),
        migrations.RemoveField(
            model_name="problemdata",
            name="custom_validator",
        ),
    ]
