# Generated by Django 3.2.18 on 2024-05-30 04:32

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("judge", "0187_profile_info"),
    ]

    operations = [
        migrations.CreateModel(
            name="OfficialContestCategory",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        max_length=50,
                        unique=True,
                        verbose_name="official contest category",
                    ),
                ),
            ],
            options={
                "verbose_name": "official contest category",
                "verbose_name_plural": "official contest categories",
            },
        ),
        migrations.CreateModel(
            name="OfficialContestLocation",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        max_length=50,
                        unique=True,
                        verbose_name="official contest location",
                    ),
                ),
            ],
            options={
                "verbose_name": "official contest location",
                "verbose_name_plural": "official contest locations",
            },
        ),
        migrations.CreateModel(
            name="OfficialContest",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("year", models.PositiveIntegerField(verbose_name="year")),
                (
                    "category",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="judge.officialcontestcategory",
                        verbose_name="contest category",
                    ),
                ),
                (
                    "contest",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="official",
                        to="judge.contest",
                        verbose_name="contest",
                    ),
                ),
                (
                    "location",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="judge.officialcontestlocation",
                        verbose_name="contest location",
                    ),
                ),
            ],
            options={
                "verbose_name": "official contest",
                "verbose_name_plural": "official contests",
            },
        ),
    ]
